%define anolis_release 1
%define debug_package %{nil}

Name:		microsoft-gsl
Version:	3.1.0
Release:	%{anolis_release}%{?dist}
Summary:	Guidelines Support Library
License:	MIT
URL:		https://github.com/microsoft/GSL
Source0:	https://github.com/microsoft/GSL/archive/refs/tags/%{name}-%{version}.tar.gz

BuildRequires:	gcc clang cmake > 3.8 gtest-devel
Patch0001:	0001-bugfix-search-for-googletest-via-pkg-config-first.patch
Patch1001:	1001-remove-Werror-in-build.patch
Patch1002:	1002-bugfix-the-path-of-cmake-files.patch

Conflicts:	gsl

%description
The Guidelines Support Library (GSL) contains functions and types that are suggested 
for use by the C++ Core Guidelines maintained by the Standard C++ Foundation.

%package devel
Summary:	header files for %{name}.
Requires:	%{name} = %{version}-%{release}

%description devel
Header file for %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n GSL-%{version} -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%license LICENSE

%files devel
%{_includedir}/gsl
%{_libdir}/cmake/Microsoft.GSL

%files doc
%doc README.md CONTRIBUTING.md

%changelog
* Tue Nov 08 2022 happy_orange <songnannan@linux.alibaba.com> - 3.1.0-1
- Init package from upstream
